GLUT-2.7.0.3: A binding for the OpenGL Utility Toolkit

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.UI.GLUT.Debugging

Description

This module contains a simple utility routine to report any pending GL errors.

Synopsis

- reportErrors :: MonadIO m => m ()

# Documentation

reportErrors :: MonadIO m => m ()

Report any pending GL errors to stderr (which is typically the console). If there are no pending errors, this routine does nothing. Note that the error flags are reset after this action, i.e. there are no pending errors left afterwards.